<form class="hex-to-rbg-form">
    <div>
        <p>Hex to RGB</p>
        <mat-form-field class="converter-input">
            <mat-label>Hex-value</mat-label>
            <input matInput name="hex-input" type="text" [(ngModel)]="value" placeHolder="ffffff">
        </mat-form-field>
    
        <button mat-raised-button class="btn-convert" (click)="setValue()">Convert</button>
    
        <mat-form-field class="converter-result">
            <mat-label>RGB value</mat-label>
            <input matInput name="rgb-result" type="text" [(ngModel)]="result" readonly="true">
        </mat-form-field>
        
    </div>    
</form>

